Delen via


Replication Protection Intents - Create

Creëer een bron voor beveiligingsintentie.
De bewerking voor het maken van een intentie-item voor ASR-replicatiebeveiliging.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecoveryServices/vaults/{resourceName}/replicationProtectionIntents/{intentObjectName}?api-version=2025-08-01

URI-parameters

Name In Vereist Type Description
intentObjectName
path True

string

Naam van intentie voor replicatiebeveiliging.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

resourceName
path True

string

De naam van de kluis

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Aanvraagbody

Name Type Description
properties

CreateProtectionIntentProperties

Invoereigenschappen voor beveiligingsintentie maken.

Antwoorden

Name Type Description
200 OK

ReplicationProtectionIntent

De updateoperatie van resource 'ReplicationProtectionIntent' is geslaagd

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Create protection intent Resource.

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/509099b2-9d2c-4636-b43e-bd5cafb6be69/resourceGroups/resourceGroupPS1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationProtectionIntents/vm1?api-version=2025-08-01

{
  "properties": {
    "providerSpecificDetails": {
      "fabricObjectId": "/subscriptions/509099b2-9d2c-4636-b43e-bd5cafb6be69/resourceGroups/removeOne/providers/Microsoft.Compute/virtualMachines/vmPpgAv5",
      "instanceType": "A2A",
      "primaryLocation": "eastUs2",
      "recoveryAvailabilityType": "Single",
      "recoveryLocation": "westus2",
      "recoveryResourceGroupId": "/subscriptions/509099b2-9d2c-4636-b43e-bd5cafb6be69/resourceGroups/removeOne-asr",
      "recoverySubscriptionId": "ed5bcdf6-d61e-47bd-8ea9-f2bd379a2640"
    }
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/Subscriptions/509099b2-9d2c-4636-b43e-bd5cafb6be69/resourceGroups/resourceGroupPS1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationOperationStatus/a93f3cd5-9035-4b1e-a2c9-b16df6d5d34b?api-version=2025-08-01
{
  "name": "vm1",
  "type": "Microsoft.RecoveryServices/vaults/replicationProtectionIntents",
  "id": "/Subscriptions/509099b2-9d2c-4636-b43e-bd5cafb6be69/resourceGroups/2007vttp/providers/Microsoft.RecoveryServices/vaults/tp2007vt/replicationProtectionIntents/vm1",
  "properties": {
    "friendlyName": "vm1",
    "jobId": "/Subscriptions/d90d145a-4cdd-45a3-b2c4-971d69775278/resourceGroups/a2acl-rg-vault-prod-gip-ccy/providers/Microsoft.RecoveryServices/vaults/a2acl-vault-prod-gip-ccy/replicationJobs/02004ea7-d498-4bb4-bdeb-cdb611706867",
    "jobState": "InProgress",
    "providerSpecificDetails": {
      "instanceType": "A2A",
      "recoveryAvailabilityType": "Single"
    }
  }
}

Definities

Name Description
A2ACreateProtectionIntentInput

A2A creëert invoer van beschermingsintentie.

A2AProtectionIntentDiskInputDetails

Details van niet-beheerde schijfinvoer op Azure-VM.

A2AProtectionIntentManagedDiskInputDetails

Details van de invoer van beheerde schijven van Azure-VM's.

A2ARecoveryAvailabilityType

Het herstel beschikbaarheidstype van de virtuele machine.

A2AReplicationIntentDetails

A2A-providerspecifieke instellingen.

AgentAutoUpdateStatus

Een waarde die aangeeft of de automatische update is ingeschakeld.

AutomationAccountAuthenticationType

Een waarde die aangeeft welk type verificatie moet worden gebruikt voor automation-account.

AutoProtectionOfDataDisk

Een waarde die aangeeft of de automatische beveiliging is ingeschakeld.

createdByType

Het type identiteit waarmee de resource is gemaakt.

CreateProtectionIntentInput

Invoer van beveiligingsintentie maken.

CreateProtectionIntentProperties

Invoereigenschappen voor beveiligingsintentie maken.

DiskEncryptionInfo

Informatie over versleuteling van herstelschijf (BEK en KEK).

DiskEncryptionKeyInfo

Informatie over schijfversleutelingssleutel (BitLocker-coderingssleutel (BEK) in Windows).

ExistingProtectionProfile

Invoer van bestaande opslagaccounts.

ExistingRecoveryAvailabilitySet

Bestaande beschikbaarheid van herstel ingesteld invoer.

ExistingRecoveryProximityPlacementGroup

Bestaande invoer van plaatsingsgroepen voor herstelnabijheid.

ExistingRecoveryRecoveryResourceGroup

Invoer van bestaande herstelresourcegroepen.

ExistingRecoveryVirtualNetwork

Bestaande invoer van het virtuele herstelnetwerk.

ExistingStorageAccount

Invoer van bestaande opslagaccounts.

KeyEncryptionKeyInfo

Informatie over de sleutelcoderingssleutel (KEK).

NewProtectionProfile

Nieuwe invoer voor het beveiligingsprofiel.

NewRecoveryVirtualNetwork

Herstel virtuele netwerkinvoer om een nieuw virtueel netwerk te maken van een bepaald bronnetwerk.

ReplicationProtectionIntent

Intentie voor replicatiebeveiliging.

ReplicationProtectionIntentProperties

Replicatiebeveiliging intentie aangepaste gegevensdetails.

SetMultiVmSyncStatus

Een waarde die aangeeft of synchronisatie met meerdere VM's moet worden ingeschakeld. De waarde moet 'Ingeschakeld' of 'Uitgeschakeld' zijn.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

A2ACreateProtectionIntentInput

A2A creëert invoer van beschermingsintentie.

Name Type Default value Description
agentAutoUpdateStatus

AgentAutoUpdateStatus

Een waarde die aangeeft of de automatische update is ingeschakeld.

autoProtectionOfDataDisk

AutoProtectionOfDataDisk

Een waarde die aangeeft of de automatische beveiliging is ingeschakeld.

automationAccountArmId

string

De arm-id van het Automation-account.

automationAccountAuthenticationType

AutomationAccountAuthenticationType

RunAsAccount

Een waarde die het verificatietype voor het Automation-account aangeeft. De standaardwaarde is 'RunAsAccount'.

diskEncryptionInfo

DiskEncryptionInfo

De gegevens over de versleuteling van de herstelschijf (voor twee passflows).

fabricObjectId

string

De infrastructuurspecifieke object-id van de virtuele machine.

instanceType string:

A2A

Het klassetype.

multiVmGroupId

string

De groeps-id voor meerdere vm's.

multiVmGroupName

string

De naam van de groep met meerdere vm's.

primaryLocation

string

De primaire locatie voor de virtuele machine.

primaryStagingStorageAccountCustomInput StorageAccountCustomDetails:

ExistingStorageAccount

De invoer van het primaire faseringsopslagaccount.

protectionProfileCustomInput ProtectionProfileCustomDetails:

De aangepaste invoer van het beveiligingsprofiel.

recoveryAvailabilitySetCustomInput RecoveryAvailabilitySetCustomDetails:

ExistingRecoveryAvailabilitySet

De invoer van de herstel beschikbaarheidsset.

recoveryAvailabilityType

A2ARecoveryAvailabilityType

Het herstel beschikbaarheidstype van de virtuele machine.

recoveryAvailabilityZone

string

De beschikbaarheidszone voor herstel.

recoveryBootDiagStorageAccount StorageAccountCustomDetails:

ExistingStorageAccount

Het diagnostische opslagaccount voor opstarten.

recoveryLocation

string

De herstellocatie voor de virtuele machine.

recoveryProximityPlacementGroupCustomInput RecoveryProximityPlacementGroupCustomDetails:

ExistingRecoveryProximityPlacementGroup

Aangepaste invoer voor de plaatsingsgroep voor herstelnabijheid.

recoveryResourceGroupId

string

De resourcegroep-id voor herstel. Geldig voor V2-scenario's.

recoverySubscriptionId

string

De id van het herstelabonnement van de virtuele machine.

recoveryVirtualNetworkCustomInput RecoveryVirtualNetworkCustomDetails:

De invoer van het virtuele herstelnetwerk.

vmDisks

A2AProtectionIntentDiskInputDetails[]

De lijst met vm-schijfinvoer.

vmManagedDisks

A2AProtectionIntentManagedDiskInputDetails[]

De lijst met vm-beheerde schijfinvoer.

A2AProtectionIntentDiskInputDetails

Details van niet-beheerde schijfinvoer op Azure-VM.

Name Type Description
diskUri

string

De schijf-URI.

primaryStagingStorageAccountCustomInput StorageAccountCustomDetails:

ExistingStorageAccount

De invoer van het primaire faseringsopslagaccount.

recoveryAzureStorageAccountCustomInput StorageAccountCustomDetails:

ExistingStorageAccount

De invoer van het VHD-opslagaccount voor herstel.

A2AProtectionIntentManagedDiskInputDetails

Details van de invoer van beheerde schijven van Azure-VM's.

Name Type Description
diskEncryptionInfo

DiskEncryptionInfo

De gegevens over de versleuteling van de herstelschijf (voor één/enkele pass-stromen).

diskId

string

De schijf-id.

primaryStagingStorageAccountCustomInput StorageAccountCustomDetails:

ExistingStorageAccount

De invoer van het primaire faseringsopslagaccount.

recoveryDiskEncryptionSetId

string

De id van de versleutelingsset voor de herstelschijf.

recoveryReplicaDiskAccountType

string

Het type replicaschijf. Het is een optionele waarde en is hetzelfde als het type bronschijf als deze niet door de gebruiker is opgegeven.

recoveryResourceGroupCustomInput RecoveryResourceGroupCustomDetails:

ExistingRecoveryRecoveryResourceGroup

De invoer van de herstelresourcegroep.

recoveryTargetDiskAccountType

string

Het type doelschijf na een failover. Het is een optionele waarde en is hetzelfde als het type bronschijf als deze niet door de gebruiker is opgegeven.

A2ARecoveryAvailabilityType

Het herstel beschikbaarheidstype van de virtuele machine.

Waarde Description
Single

Single

AvailabilitySet

AvailabilitySet

AvailabilityZone

Beschikbaarheidszone

A2AReplicationIntentDetails

A2A-providerspecifieke instellingen.

Name Type Default value Description
agentAutoUpdateStatus

AgentAutoUpdateStatus

Een waarde die aangeeft of de automatische update is ingeschakeld.

autoProtectionOfDataDisk

AutoProtectionOfDataDisk

Een waarde die aangeeft of de automatische beveiliging is ingeschakeld.

automationAccountArmId

string

De arm-id van het Automation-account.

automationAccountAuthenticationType

AutomationAccountAuthenticationType

RunAsAccount

Een waarde die aangeeft welk type verificatie moet worden gebruikt voor automation-account.

diskEncryptionInfo

DiskEncryptionInfo

De gegevens over de versleuteling van de herstelschijf (voor twee passflows).

fabricObjectId

string

De infrastructuurspecifieke object-id van de virtuele machine.

instanceType string:

A2A

Hiermee haalt u het exemplaartype op.

multiVmGroupId

string

De groeps-id voor meerdere vm's.

multiVmGroupName

string

De naam van de groep met meerdere vm's.

primaryLocation

string

De primaire locatie voor de virtuele machine.

primaryStagingStorageAccount StorageAccountCustomDetails:

ExistingStorageAccount

De gegevens van het primaire opslagaccount voor fasering.

protectionProfile ProtectionProfileCustomDetails:

Aangepaste details van het beveiligingsprofiel.

recoveryAvailabilitySet RecoveryAvailabilitySetCustomDetails:

ExistingRecoveryAvailabilitySet

De details van de set herstelbeschikbaarheid.

recoveryAvailabilityType

string

Het herstel beschikbaarheidstype van de virtuele machine.

recoveryAvailabilityZone

string

De beschikbaarheidszone voor herstel.

recoveryBootDiagStorageAccount StorageAccountCustomDetails:

ExistingStorageAccount

Het diagnostische opslagaccount voor opstarten.

recoveryLocation

string

De herstellocatie voor de virtuele machine.

recoveryProximityPlacementGroup RecoveryProximityPlacementGroupCustomDetails:

ExistingRecoveryProximityPlacementGroup

Aangepaste details van de plaatsingsgroep voor herstelnabijheid.

recoveryResourceGroupId

string

De groeps-id van de herstelresource.

recoverySubscriptionId

string

De id van het herstelabonnement van de virtuele machine.

recoveryVirtualNetwork RecoveryVirtualNetworkCustomDetails:

De details van het virtuele herstelnetwerk.

vmDisks

A2AProtectionIntentDiskInputDetails[]

De lijst met vm-schijfgegevens.

vmManagedDisks

A2AProtectionIntentManagedDiskInputDetails[]

De lijst met gegevens van beheerde vm-schijven.

AgentAutoUpdateStatus

Een waarde die aangeeft of de automatische update is ingeschakeld.

Waarde Description
Disabled

Disabled

Enabled

Ingeschakeld

AutomationAccountAuthenticationType

Een waarde die aangeeft welk type verificatie moet worden gebruikt voor automation-account.

Waarde Description
RunAsAccount

RunAsAccount

SystemAssignedIdentity

SystemAssignedIdentity

AutoProtectionOfDataDisk

Een waarde die aangeeft of de automatische beveiliging is ingeschakeld.

Waarde Description
Disabled

Disabled

Enabled

Ingeschakeld

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

CreateProtectionIntentInput

Invoer van beveiligingsintentie maken.

Name Type Description
properties

CreateProtectionIntentProperties

Invoereigenschappen voor beveiligingsintentie maken.

CreateProtectionIntentProperties

Invoereigenschappen voor beveiligingsintentie maken.

Name Type Description
providerSpecificDetails CreateProtectionIntentProviderSpecificDetails:

A2ACreateProtectionIntentInput

De ReplicationProviderInput. Voor A2A-provider is dit A2ACreateProtectionIntentInput-object.

DiskEncryptionInfo

Informatie over versleuteling van herstelschijf (BEK en KEK).

Name Type Description
diskEncryptionKeyInfo

DiskEncryptionKeyInfo

De naslaginformatie voor KeyVault voor herstel voor geheim.

keyEncryptionKeyInfo

KeyEncryptionKeyInfo

De naslaginformatie voor KeyVault voor herstel.

DiskEncryptionKeyInfo

Informatie over schijfversleutelingssleutel (BitLocker-coderingssleutel (BEK) in Windows).

Name Type Description
keyVaultResourceArmId

string

De ARM-id van de KeyVault-resource voor geheim.

secretIdentifier

string

De geheime URL/id.

ExistingProtectionProfile

Invoer van bestaande opslagaccounts.

Name Type Description
protectionProfileId

string

De arm-id van het beveiligingsprofiel. Er wordt een fout gegenereerd als de resource niet bestaat.

resourceType string:

Existing

Het klassetype.

ExistingRecoveryAvailabilitySet

Bestaande beschikbaarheid van herstel ingesteld invoer.

Name Type Description
recoveryAvailabilitySetId

string

De id van de herstel-beschikbaarheidsset. Er wordt een fout gegenereerd als de resource niet bestaat.

resourceType string:

Existing

Het klassetype.

ExistingRecoveryProximityPlacementGroup

Bestaande invoer van plaatsingsgroepen voor herstelnabijheid.

Name Type Description
recoveryProximityPlacementGroupId

string

De id van de plaatsingsgroep voor herstelnabijheid. Er wordt een fout gegenereerd als de resource niet bestaat.

resourceType string:

Existing

Het klassetype.

ExistingRecoveryRecoveryResourceGroup

Invoer van bestaande herstelresourcegroepen.

Name Type Description
recoveryResourceGroupId

string

De resourcegroep-id voor herstel. Geldig voor V2-scenario's.

resourceType string:

Existing

Het klassetype.

ExistingRecoveryVirtualNetwork

Bestaande invoer van het virtuele herstelnetwerk.

Name Type Description
recoverySubnetName

string

De naam van het herstelsubnet.

recoveryVirtualNetworkId

string

De id van het virtuele herstelnetwerk. Er wordt een fout gegenereerd als de resource niet bestaat.

resourceType string:

Existing

Het klassetype.

ExistingStorageAccount

Invoer van bestaande opslagaccounts.

Name Type Description
azureStorageAccountId

string

De arm-id van het opslagaccount. Er wordt een fout gegenereerd als de resource niet bestaat.

resourceType string:

Existing

Het klassetype.

KeyEncryptionKeyInfo

Informatie over de sleutelcoderingssleutel (KEK).

Name Type Description
keyIdentifier

string

De sleutel-URL/id.

keyVaultResourceArmId

string

De ARM-id van de KeyVault-resource voor de sleutel.

NewProtectionProfile

Nieuwe invoer voor het beveiligingsprofiel.

Name Type Description
appConsistentFrequencyInMinutes

integer (int32)

De frequentie van de app-consistente momentopname (in minuten).

crashConsistentFrequencyInMinutes

integer (int32)

De frequentie van crashconsistente momentopnamen (in minuten).

multiVmSyncStatus

SetMultiVmSyncStatus

Een waarde die aangeeft of synchronisatie met meerdere VM's moet worden ingeschakeld. De waarde moet 'Ingeschakeld' of 'Uitgeschakeld' zijn.

policyName

string

De invoer van het beveiligingsprofiel.

recoveryPointHistory

integer (int32)

De duur in minuten totdat de herstelpunten moeten worden opgeslagen.

resourceType string:

New

Het klassetype.

NewRecoveryVirtualNetwork

Herstel virtuele netwerkinvoer om een nieuw virtueel netwerk te maken van een bepaald bronnetwerk.

Name Type Description
recoveryVirtualNetworkName

string

De naam van het virtuele herstelnetwerk.

recoveryVirtualNetworkResourceGroupName

string

De naam van de resourcegroep die moet worden gebruikt om het virtuele herstelnetwerk te maken. Als u afwezig bent, wordt het doelnetwerk gemaakt in dezelfde resourcegroep als de doel-VM.

resourceType string:

New

Het klassetype.

ReplicationProtectionIntent

Intentie voor replicatiebeveiliging.

Name Type Description
id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijv. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

Resourcelocatie

name

string

De naam van de resource

properties

ReplicationProtectionIntentProperties

De aangepaste gegevens.

systemData

systemData

Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens.

type

string

Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

ReplicationProtectionIntentProperties

Replicatiebeveiliging intentie aangepaste gegevensdetails.

Name Type Description
creationTimeUTC

string

De aanmaaktijd in UTC.

friendlyName

string

De naam.

isActive

boolean

Een waarde die aangeeft of het intentieobject actief is.

jobId

string

De baan Id.

jobState

string

De staat van de baan.

providerSpecificDetails ReplicationProtectionIntentProviderSpecificSettings:

A2AReplicationIntentDetails

De aangepaste instellingen van de replicatieprovider.

SetMultiVmSyncStatus

Een waarde die aangeeft of synchronisatie met meerdere VM's moet worden ingeschakeld. De waarde moet 'Ingeschakeld' of 'Uitgeschakeld' zijn.

Waarde Description
Enable

Enable

Disable

Disable

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.